Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.primitive
Class PrimitiveAssertion

    java.lang.Object
      org.apache.neethi.builders.PrimitiveAssertion
          org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion

All Implemented Interfaces:
  org.apache.neethi.Assertion, org.apache.neethi.PolicyComponent

Direct Known Subclasses:
  JaxbAssertion

    public class PrimitiveAssertion

extends org.apache.neethi.builders.PrimitiveAssertion

Field Summary

Fields inherited from class org.apache.neethi.builders.PrimitiveAssertion
`attributes, ignorable, name, optional, textValue`

Constructor Summary
`PrimitiveAssertion()`
`PrimitiveAssertion(Element element)`
`PrimitiveAssertion(QName n)`
`PrimitiveAssertion(QName n, boolean o)`
`PrimitiveAssertion(QName n, boolean o, boolean i)`
`PrimitiveAssertion(QName n, boolean o, boolean i, Map<QName,String> atts)`

Method Summary
`protected org.apache.neethi.Assertion` | `clone(boolean opt)`

Methods inherited from class org.apache.neethi.builders.PrimitiveAssertion
`addAttribute, addAttributes, equal, getAttribute, getName, getOrCreatePrefix, getTextValue, getType, hasContents, isIgnorable, isOptional, normalize, serialize, setIgnorable, setName, setOptional, setTextValue, toString, writeAttributes, writeContents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrimitiveAssertion

    public PrimitiveAssertion()

### PrimitiveAssertion

    public PrimitiveAssertion(QName n)

### PrimitiveAssertion

    public PrimitiveAssertion(QName n,
                              boolean o)

### PrimitiveAssertion

    public PrimitiveAssertion(QName n,
                              boolean o,
                              boolean i)

### PrimitiveAssertion

    public PrimitiveAssertion(QName n,
                              boolean o,
                              boolean i,
                              Map<QName,String> atts)

### PrimitiveAssertion

    public PrimitiveAssertion(Element element)

Method Detail

### clone

    protected org.apache.neethi.Assertion clone(boolean opt)

  Overrides:
    `clone` in class `org.apache.neethi.builders.PrimitiveAssertion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF